Create Voice Campaign#
Creates a voice campaign with status pending and a default speed-dial row. The title must be unique in the company. Powerlist and pipeline ids may be Base64 or numeric.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
titlestringbodyrequired
Campaign title, max 50 characters
campaign_typestringbody
ai or predictive. Defaults to ai
powerlist_idstring[]bodyrequired
At least one powerlist id
ai_agentsstringbody
Required when campaign_type is ai
calls_per_hourintegerbody
Minimum 1. Used by AI campaigns
local_presencestringbody
Yes or No
pipeline_idstringbody
Pipeline id
pipeline_stage_idsstring[]body
Stage ids inside that pipeline
agentstringbody
All or Specific for a predictive campaign
specific_agentsinteger[]body
Rep user ids when agent is Specific
curl --request POST \
--url https://app.aisync.link/api/campaign/voice \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{
"title": "Morning calls",
"campaign_type": "ai",
"powerlist_id": [
"MQ=="
],
"ai_agents": "MQ==",
"calls_per_hour": 20,
"local_presence": "No"
}'messagestring
Voice campaign created successfully.